Summary: GNU g++ library
Name: libg++
Version: 2.7.1.4
Release: 5
Copyright: LGPL
Group: Libraries
Source: prep.ai.mit.edu:/pub/gnu/libg++-2.7.1.tar.gz
Patch0: tsx-11.mit.edu:/pub/linux/GCC/libg++-2.7.1-2.7.1.4.diff.gz
Patch1: libg++-2.7.1-sparc.patch
Patch2: libg++-2.7.1rh-glibc.diff.gz
%description
This is the GNU implementation of the standard C++ libraries, along
with additional GNU tools.
This package includes the shared libraries necessary to run C++
applications.

%package devel
Summary: Header files and libraries for C++ development
Group: Development/Libraries
%description devel
This is the GNU implementation of the standard C++ libraries, along with
additional GNU tools.  The GNU C++ library, libg++ is an attempt to
provide a variety of C++ programming tools and other support to GNU C++
programmers. This package includes the header files and libraries needed
for C++ development. 

%prep
%setup -n libg++-2.7.1
%patch0 -p2

# if the SPARC and Alpha patches conflict a little bit
%ifarch sparc
%patch1 -p1
%endif

%ifarch alpha
%patch2 -p1
%endif

%build

./configure --prefix=/usr --with-shared --enable-shared
make

%install
make install
rm -f /usr/info/libg++.info*
(cd libg++ ; make install-info)
(cd libio ; make install-info)
%ifarch i386
rm -rf /usr/i586-unknown-linux
%endif
%ifarch sparc
rm -rf /usr/sparc-unknown-linux
%endif
%ifarch alpha
rm -rf /usr/alpha-unknown-linux
%endif
gzip -9nf /usr/info/libg++.info*
gzip -9nf /usr/info/iostream.info*

/sbin/ldconfig

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
/usr/lib/libstdc++.so.27.1.4
/usr/lib/libg++.so.27.1.4

%files devel
/usr/include/g++
/usr/lib/libstdc++.a
/usr/lib/libg++.a
/usr/bin/genclass
/usr/bin/gperf
/usr/man/man1/gperf.1
/usr/info/libg++.info*
/usr/info/iostream.info*
/usr/lib/libg++.so
/usr/lib/libstdc++.so
